org.apache.commons.io.file

## Class SimplePathVisitor.AbstractBuilder<T,B extends AbstractSupplier<T,B>>

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.file.SimplePathVisitor.AbstractBuilder<T,B>

- Type Parameters:
    `T` - The SimplePathVisitor type.
    `B` - The builder type.
  All Implemented Interfaces:
    IOSupplier<T>
  Direct Known Subclasses:
    CountingPathVisitor.AbstractBuilder
  Enclosing class:
    SimplePathVisitor

      protected abstract static class SimplePathVisitor.AbstractBuilder<T,B extends AbstractSupplier<T,B>>
      extends AbstractSupplier<T,B>

  Abstracts builder for subclasses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBuilder()` Constructs a new builder for subclasses.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) IOBiFunction<Path,IOException,FileVisitResult>` | `getVisitFileFailedFunction()`
    `B` | `setVisitFileFailedFunction(IOBiFunction<Path,IOException,FileVisitResult> visitFileFailedFunction)` Sets the function to call on `SimplePathVisitor.visitFileFailed(Path, IOException)`.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier, get, getUnchecked`

- - ### Constructor Detail

    - #### AbstractBuilder

          public AbstractBuilder()

      Constructs a new builder for subclasses.

  - ### Method Detail

    - #### getVisitFileFailedFunction

          IOBiFunction<Path,IOException,FileVisitResult> getVisitFileFailedFunction()

    - #### setVisitFileFailedFunction

          public B setVisitFileFailedFunction(IOBiFunction<Path,IOException,FileVisitResult> visitFileFailedFunction)

      Sets the function to call on `SimplePathVisitor.visitFileFailed(Path, IOException)`.

      Defaults to `SimpleFileVisitor.visitFileFailed(Object, IOException)` on construction.

      Parameters:
        `visitFileFailedFunction` - the function to call on `SimplePathVisitor.visitFileFailed(Path, IOException)`.
      Returns:
        this instance.